# This file created by conda-build 24.7.1
# meta.yaml template originally from:
# /opt/recipe, last modified Fri Jul  4 01:41:46 2025
# ------------------------------------------------

package:
  name: libcifpp
  version: 8.0.1
source:
  sha256: 53f0ff205711428dcabf9451b23804091539303cea9d2f54554199144ca0fc4e
  url: https://github.com/PDB-REDO/libcifpp/archive/v8.0.1.tar.gz
build:
  number: '1'
  run_exports:
    - libcifpp >=8.0.1,<9.0a0
  string: h077b44d_1
requirements:
  build:
    - _libgcc_mutex 0.1 conda_forge
    - _openmp_mutex 4.5 2_gnu
    - binutils_impl_linux-64 2.43 h4bf12b8_5
    - binutils_linux-64 2.43 h4852527_5
    - bzip2 1.0.8 h4bc722e_7
    - c-ares 1.34.5 hb9d3cd8_0
    - ca-certificates 2025.6.15 hbd8a1cb_0
    - cmake 4.0.3 h74e3db0_0
    - gcc_impl_linux-64 13.3.0 h1e990d8_2
    - gcc_linux-64 13.3.0 h6f18a23_11
    - gxx_impl_linux-64 13.3.0 hae580e1_2
    - gxx_linux-64 13.3.0 hb14504d_11
    - kernel-headers_linux-64 3.10.0 he073ed8_18
    - keyutils 1.6.1 h166bdaf_0
    - krb5 1.21.3 h659f571_0
    - ld_impl_linux-64 2.43 h712a8e2_5
    - libcurl 8.14.1 h332b0f4_0
    - libedit 3.1.20250104 pl5321h7949ede_0
    - libev 4.33 hd590300_2
    - libexpat 2.7.0 h5888daf_0
    - libgcc 15.1.0 h767d61c_3
    - libgcc-devel_linux-64 13.3.0 hc03c837_102
    - libgcc-ng 15.1.0 h69a702a_3
    - libgomp 15.1.0 h767d61c_3
    - liblzma 5.8.1 hb9d3cd8_2
    - libnghttp2 1.64.0 h161d5f1_0
    - libsanitizer 13.3.0 he8ea267_2
    - libssh2 1.11.1 hcf80075_0
    - libstdcxx 15.1.0 h8f9b012_3
    - libstdcxx-devel_linux-64 13.3.0 hc03c837_102
    - libstdcxx-ng 15.1.0 h4852527_3
    - libuv 1.51.0 hb9d3cd8_0
    - libzlib 1.3.1 hb9d3cd8_2
    - ncurses 6.5 h2d0b736_3
    - ninja 1.13.0 h7aa8ee6_0
    - openssl 3.5.1 h7b32b05_0
    - pkg-config 0.29.2 h4bc722e_1009
    - rhash 1.4.6 hb9d3cd8_1
    - sysroot_linux-64 2.17 h0157908_18
    - tzdata 2025b h78e105d_0
    - zstd 1.5.7 hb8e6e7a_2
  host:
    - _libgcc_mutex 0.1 conda_forge
    - _openmp_mutex 4.5 2_gnu
    - bzip2 1.0.8 h4bc722e_7
    - eigen 3.4.0 h00ab1b0_0
    - icu 75.1 he02047a_0
    - libboost 1.86.0 h6c02f8c_3
    - libboost-devel 1.86.0 h1a2810e_3
    - libboost-headers 1.86.0 ha770c72_3
    - libgcc 15.1.0 h767d61c_3
    - libgcc-ng 15.1.0 h69a702a_3
    - libgomp 15.1.0 h767d61c_3
    - liblzma 5.8.1 hb9d3cd8_2
    - libstdcxx 15.1.0 h8f9b012_3
    - libstdcxx-ng 15.1.0 h4852527_3
    - libzlib 1.3.1 hb9d3cd8_2
    - zlib 1.3.1 hb9d3cd8_2
    - zstd 1.5.7 hb8e6e7a_2
  run:
    - libboost >=1.86.0,<1.87.0a0
    - libgcc >=13
    - libstdcxx >=13
    - libzlib >=1.3.1,<2.0a0
test:
  commands:
    - test -e ${PREFIX}/lib/libcifpp.a
about:
  description: 'This library, libcifpp, is a generic CIF library with some specific
    additions to work with mmCIF files.

    The main focus of this library is to make sure that files read or written are
    valid.

    That is, they are syntactically valid and their content is valid with respect
    to a CIF dictionary, if such a dictionary is available and specified.

    '
  dev_url: https://github.com/PDB-REDO/libcifpp
  doc_url: https://pdb-redo.github.io/libcifpp
  home: https://github.com/PDB-REDO/libcifpp
  license: BSD-2-Clause
  license_family: BSD
  license_file: LICENSE
  summary: Library containing code to manipulate mmCIF and PDB files.
extra:
  additional-platforms:
    - linux-aarch64
    - osx-arm64
  copy_test_source_files: true
  final: true
  recipe-maintainers:
    - multimeric
